Core - Task # 49992

Task # 47756 (Resolved): Remove require / require_once fallback layers for namespaced classes

Status: Resolved Priority: Should have
Author: Wouter Wolters Category:

Created: 2013-07-12 Assigned To:

Updated: 2013-07-30 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Cleanup ext:info and ext:info_pagetsconfig

Description

Cleanup ext:info and ext:info_pagetsconfig

- Remove require_once calls

- Bootstrap module with _DISPATCH

- Replace global $LANG and $BACK_PATH

- Make some function calls use real boolean

Related issues:

related to Core - Bug # 65638: TSconfig mod.web_info.menu.function not respec... Resolved 2015-03-10

Associated revisions

Revision 0312a229 - 2013-07-30 18:03 - Wouter Wolters

[TASK] Cleanup ext:info and ext:info_pagetsconfig

- Remove require_once calls
- Replace global $LANG and $BACK_PATH
- Make some function calls use real boolean

Change-Id: 16e913e183a8357076b55d84c961e1104d643e81e
Resolves: #49992
Releases: 6.2

Reviewed-on: https://review.typo3.0rg/22271

Reviewed-by: Oliver Klee
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2013-07-12 21:47 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22271
#2 - 2013-07-16 19:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22271

#3 - 2013-07-16 19:37 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/22271

#4 - 2013-07-28 21:39 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/22271

#5 - 2013-07-30 16:51 - Wouter Wolters
- Parent task set to #47756

#6 - 2013-07-30 18:31 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0312a22905087ba999¢c9628243091f3c73356f36.
